summaryrefslogtreecommitdiffstats
path: root/source/a/grep/grep.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/grep/grep.SlackBuild')
-rwxr-xr-xsource/a/grep/grep.SlackBuild19
1 files changed, 14 insertions, 5 deletions
diff --git a/source/a/grep/grep.SlackBuild b/source/a/grep/grep.SlackBuild
index 9d8c6f4f7..cf6a352c1 100755
--- a/source/a/grep/grep.SlackBuild
+++ b/source/a/grep/grep.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=grep
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-grep
@@ -75,7 +84,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--infodir=/usr/info \
--docdir=/usr/doc/grep-$VERSION \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS -e LIB_PCRE=/usr/lib${LIBDIRSUFFIX}/libpcre.a || make -e LIB_PCRE=/usr/lib${LIBDIRSUFFIX}/libpcre.a || exit 1
make install DESTDIR=$PKG || exit 1